#!/usr/bin/python

import glob

def get_help(fileGlob, fout):
	for fileInput in glob.glob(fileGlob):
		fin = open (fileInput, 'r');
		for line in fin.readlines():
			if line.startswith('##') and not line.startswith("## -*- texinfo -*-"):
				line=line.replace('##', '');
				fout.write(line);
		fin.close()

def read_example(fileGlob, fout):
	for fileInput in glob.glob(fileGlob):
		fin = open (fileInput, 'r');
		fout.write("@example\n");
		for line in fin.readlines():
			fout.write(line);
		fout.write("\n@end example\n");
		fin.close()

def parse_texi_in(fileInput, fileOutput):
	fin = open (fileInput, 'r');
	fout= open (fileOutput, 'w');
	
	for line in fin.readlines():
		if line.startswith('@@funcion'):
			file=line.replace('@@funcion', '').strip();
			get_help(file, fout);
		elif line.startswith('@@ejemplo'):
			file=line.replace('@@ejemplo', '').strip();
			read_example(file, fout);
		else:
			fout.write(line);
	
	fin.close()
	fout.close()
	


parse_texi_in('svgplot.texi.in','svgplot.texi');