## -*- texinfo -*-
## @deftypefn {Function File} {} SvgPlotText (@var{svgPlot}, @var{x}, @var{y}, @var{text})
## Draw @var{text} in (@var{x},@var{y}).
## @seealso{SvgPlotNew}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [svgPlot]=SvgPlotText(svgPlot, x, y, text)
	out=svgPlot.out;
	fprintf( out , "<text x='%f' y='%f' font-family='%s' font-size='%f' fill='%s' >%s</text>\n", x, y, svgPlot.font, svgPlot.fontSize, svgPlot.foregroundColor, text);
endfunction